# Based on the spec file originally gerenated by
# rb-fsevent-0.9.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rb-fsevent

Name: rubygem-%{gem_name}
Version: 0.9.4
Release: 1%{?dist}
Summary: Very simple & usable FSEvents API
Group: Development/Languages
License: MIT
URL: http://rubygems.org/gems/rb-fsevent
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems) 
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby 
# BuildRequires: rubygem(rspec) => 2.11
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(guard-rspec) => 4.2
# BuildRequires: rubygem(guard-rspec) < 5
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
FSEvents API with Signals catching (without RubyCocoa).


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}

%changelog
* Thu Jul 03 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.9.4-1
- Initial package
